


  <ul><li>

                    
        <label id="main_lab">   <?php echo $ro["hname"];?> ROOM SERVICES</label> 

 
                  
        </li></ul>
   <ul>

                     <li id="liL">
                            <form action="otherHotelAdertisement.php" method="post">


                               <input class="hi" type="hidden" name="owniD"  value="<?php echo $ownID;?>">
 


                              <input class="hi" type="hidden" name="hiD"  value="<?php echo $hnm;?>">

                              <input class="pos" type="submit" value="Advertersement" name="post"  >

                        </form>

                        </li>


                        <li id="liL">
                          <form action="otherHotelImages.php" method="post">


                               <input class="hi" type="hidden" name="owniD"  value="<?php echo $ownID;?>">
 


                              <input class="hi" type="hidden" name="hiD"  value="<?php echo $hnm;?>">

                              <input class="pos"  type="submit" value="Images" name="post"  >

                        </form>

                        </li>

                        <li id="liL">
                          
                            <form action="otherHotelRoomView.php" method="post">


                               <input class="hi" type="hidden" name="owniD"  value="<?php echo $ownID;?>">

                                

                              <input class="hi" type="hidden" name="hiD"  value="<?php echo $hnm;?>">

                              <input class="pos" type="submit" value="Rooms" name="post"  >

                        </form>
                        </li>
              </ul>


              
<section id="bookedroom"><legend><label id="min_label"><i>BOOKING TO <?php echo $ro['hname'];?></i></label></legend>
 <table>

     <form id ="booking_form" action="" method="POST">

 <tr>
 	<td colspan="2">

 	  <i>Room:-</i>
 	  
 	  <?php echo $rum['rname'];?>
 	 	
 	</td>

 </tr>
 
 <tr>
 <td colspan="2">

 	 <i>One night cost:-</i> 

  

 <?php echo $rum['rcost'];?>
 	
 </td>

 </tr>


<tr>

<td valign="top">

     <i>Arrived from:</i><sup>*</sup></label><br><sup id="cf"></sup>

</td>

 <td valign="top">

     <i>Arrived on:-</i><sup>*</sup></label><br><sup id="on"></sup>

 </td>


</tr>    


    <tr>

       <td>

  
        <input type="text" name="arrivedfrom" id="arrivedfrom" class="prof_info" value="<?php echo $arrivedfrom;?>" /><br/>
        
        </td>

        <td>

  
        <input type="date" name="arrivedon" id="arrivedon" class="prof_info" value="<?php echo $arrivedon;?>" /><br/>
        
        </td>
    
  </tr>

    

                                                                <!---USERS PASSWORD-->

  
<tr>


<td valign="top">
         <i>Number of guest:-</i><sup>*</sup></label>  <br><sup id="ng"></sup>  </td>

<td valign="top"> <i>Date of depart:-</i><sup>*</sup></label><br><sup id="dp"></sup></td>
 


</tr>    


    <tr >

        <td>
       
         <input type="text" name="noguest" id="noguest" class="prof_info" value="<?php echo $noguest;?>"/> 
     
         </td>


        <td >

  
        <input type="Date" name="departon" id="departon" class="prof_info" value="<?php echo $departon;?>" /><br/>
        
        </td>

       

     
  </tr>



<!---- lllllljjjjjjjjjjjjjjjj-->

 
 
 	<tr>
<!--
CARRY SOME INFO

-->

             <input class="hi" type="text" name="owniD"  value="<?php echo $ownID;?>">

             <input type="text" value="<?php echo $roomid;?>" name="roomNo" class="hi">

             <input type="text" value="<?php echo $hnm;?>" name="hiD" class="hi">

             <input type="text"  value="<?php echo $ownID;?>" name="ownID" class="hi">



        <td valign="top" width="50%"> 
                   <i>
                   Car reg number:- 
                   </i>
                   <br>

                   <sup id="cn"></sup>
       </td>

         <td valign="top">

         <i>Depart to:-</i><sup>*</sup></label><br><sup id="dpt"></sup>
         </td>


   </tr>    


   <tr >
 
        <td >

  
        <input type="text" name="carregno" id="carregno" class="prof_info"  value="<?php echo $carregno;?>" /><br/>
        
        </td>
  
        <td>

  
        <input type="text" name="departto" id="departto" class="prof_info" value="<?php echo $departto;?>" /><br/>
        
        </td>
       
  </tr>

  <tr >
 
        <td  colspan="2">

   <i>Confirm payment by entering payment code here:-</i>

   <sup>*</sup></label><br><sup id="cd"></sup><p/>

        <input type="text" name="code" id="code" class="prof_info" value="<?php echo $code;?>"  /><br/>
        
        </td>
       
  </tr>


<!--- MMMMMMMMMMMMM  -->


<tr id="">
   <td colspan="2" align="center" id="reg_form_table_cell"> 

        <input type="submit"  name="post" value="Book" id="book"/>
   </td>

  </tr>

 </table>
 
</form>
 </table>
	
</section>
<fieldset id="payOption"><legend><label id="main_label"><i>Choose the appropriate payment method and then follow  the steps:-</i></legend>
<b>For payment through Vodacam M-pesa:-</b><br>

	<ol>
		<li>
			Dial *150*00#
		</li>
		<li>
			
            Select Option 4 pay through M-pesa.
		</li>
		<li>
			Select Option 4 company number.
		</li>
		<li>
			Select Option 4 company payment reference number.
		</li>
	</ol>

	<b>For payment through Airtel Money:-</b><br>

	<ol>
		<li>
			Dial *150*60#
		</li>
		<li>
			
            Select Option 4 pay through M-pesa.
		</li>
		<li>
			Select Option 4 company number.
		</li>
		<li>
			Select Option 4 company payment reference number.
		</li>
	</ol>

	<b>For payment through Tigo Pesa:-</b><br>

	<ol>
		<li>
			Dial *150*01#
		</li>
		<li>
			
            Select Option 4 pay through M-pesa.
		</li>
		<li>
			Select Option 4 company number.
		</li>
		<li>
			Select Option 4 company payment reference number.
		</li>
	</ol>
</fieldset>
 
<script type="text/javascript">
$("#booking_form").on('submit',function(e){
 
 
 var arrivedfrom=document.getElementById('arrivedfrom').value;


 var departon=document.getElementById('departon').value;


 var arrivedon=document.getElementById('arrivedon').value;
  

var departto=document.getElementById('departto').value;

var noguest=document.getElementById('noguest').value;
 
 
var carregno=document.getElementById('carregno').value;


var code=document.getElementById('code').value;

var vN =/[\(A-Za-z)]/g; 
var nV =/[a-z\s]/i;
var nR =/[A-Za-z0-9]/i;
var nN =/[A-Z0-9]/i;
var j=0,k=0, g=0,i=0;

//////////////////
/////////////////////            CAR REGISTRATION   //////////////////
          //////////////////////////////////

 if(carregno==""){
  //e.preventDefault();


        document.getElementById('cn').innerHTML="";
  }
 else{

      for(i=0;i<carregno.length;i++)
       {
         if(!carregno[i].match(nN))
          {
             j++;

           }
        }
      
       if(j>0)
         {
       
        e.preventDefault();
   
        document.getElementById('cn').innerHTML="Car registration number typed with error!.."; 
          }

         else
         {
 

          document.getElementById('cn').innerHTML="";

         }
   }
 
    j=0, i=0;

//////////////////
/////////////////////            PLACE WHERE YOU DEPART    //////////////////
          //////////////////////////////////

 if(departto==""){
  e.preventDefault();

document.getElementById('dpt').innerHTML="Place you depart to required!..";

 }
 else{

      for(i=0;i<departto.length;i++)
       {
         if(!departto[i].match(nR))
          {
             j++;

           }
        }
      
       if(j>0){
       e.preventDefault();
   
        document.getElementById('dpt').innerHTML="Place you depart to typed with error!.."; 
              }
         else{
 
        document.getElementById('dpt').innerHTML="";

              }
   }
 
    j=0, i=0;


///////////////////////////////////  H

 if(code==""){
  e.preventDefault();

document.getElementById('cd').innerHTML="Payment code to required!..";

 }
 else{

      for(i=0;i<code.length;i++)
       {
         if(!code[i].match(nN))
          {
             j++;

           }
        }
      
       if(j>0){
       e.preventDefault();
   
        document.getElementById('cd').innerHTML="Payment code to typed with error!.."; 
              }
         else{
 
        document.getElementById('cd').innerHTML="";

              }
   }
 
    j=0, i=0;
 
// 
    //////////////////
/////////////////////            NUMBER OF GUEST   //////////////////
          //////////////////////////////////


///////////////////////////////////  H
 
///////////////////////////////////  H
///////////////////////////////////  H

 if(noguest==""){
 e.preventDefault();

document.getElementById('ng').innerHTML="Number of guest required!..";

 }
 else{

      for(i=0;i<noguest.length;i++)
       {
         if(!noguest[i].match(nR))
          {
             j++;

           }
        }
      
       if(j>0){
       e.preventDefault();
   
        document.getElementById('ng').innerHTML="Number of guest typed with error!.."; 
              }
         else{
 
        document.getElementById('ng').innerHTML="";

              }
   }
 
    j=0, i=0;


///////////////////////////////////  H
 
///////////////////////////////////  H
///////////////////////////////////  H

///////////////////////////////   DATE OF DEPART////////////////////
                         ////////////////////////////

if(departon==""){
  e.preventDefault();

  document.getElementById('dp').innerHTML="Depart date required!..";

 }
 else
 {
 
   document.getElementById('dp').innerHTML="";

  }
   
 
    j=0, i=0;
///////////////////////////////////  H

///////////////////////////////   DATE ARRIVED ////////////////////
                         ////////////////////////////

if(arrivedon==""){
 e.preventDefault();

  document.getElementById('on').innerHTML="Arrived date required!..";

 }
 else
 {
 
   document.getElementById('on').innerHTML="";

  }
   
 
    j=0, i=0;



//////////////////
/////////////////////             ARRIVED FROM   //////////////////
          //////////////////////////////////

 if(arrivedfrom==""){
 e.preventDefault();

document.getElementById('cf').innerHTML="Where you came from required!..";

 }
 else{

      for(i=0;i<arrivedfrom.length;i++)
       {
         if(!arrivedfrom[i].match(nV))
          {
             j++;

           }
        }
      
       if(j>0){
       e.preventDefault();
   
        document.getElementById('cf').innerHTML="Where you came fromtyped with error!.."; 
              }
         else{
 
        document.getElementById('cf').innerHTML="";

              }
   }
 
    j=0, i=0;
                                 ////ARRIVED FROM END//////////////

     var phn =/[0-9]/g;
//oooooooooo

 

     ////////////mmm
  
}
);
   
</script>
